PROGRAM PLANE(INPUT,OUTPUT);
{ PROGRAM TO CALCULATE  AIRPLANE PERFORMANCE
  ACCORDING TO THE BOOK BY D.R.CRAWFORD A PRACTICAL GUIDE TO AIRPLANE
  PERFORMANCE AND DESIGN, COPIED FROM FORTRAN TO PASCAL BY STEVE OLSON }


VAR
  LDMAX,WS,VS0,S,AR,C,BE,EAR,CE,WBE,AD,CD0,AD2,AD4,VMINS,THPM : REAL;
  MP,RSMIN,AMAX1,DMIN,CLMINS,RCSTAR,DPF,VTIP,VPROP,TS : REAL;
  VS1,CLMAX,CLMAXF,W,WU,B,E,BHP,VMAX,DP,RPM,ALT,DELV,WV2,FP :REAL;

BEGIN


WRITE('STALL SPEED W/OUT FLAPS IN MPH    (VS1) =');
READLN(VS1);
WRITE('MAXIMUM LIFT COEFFICIENT  (CLMAX) =');
READLN(CLMAX);
WRITE('MAXIMUM LIFT COEFFICIENT WITH FLAPS (CLMAXF) =');
READLN(CLMAXF);
WRITE('GROSS WEIGHT IN LBS          (W)   =');
READLN(W);
WRITE('USEFUL LOAD IN LBS             (WU)  =');
READLN(WU);
WRITE('WINGSPAN  IN FT               (B)   =');
READLN(B);
WRITE('AIRPLANE EFFICIENCY FACTOR  (E) =');
READLN(E);
WRITE('BRAKE HORSEPOWER OF ENGINE IN HP (BHP) =');
READLN(BHP);
WRITE('DESIRED MAX LEVEL FLIGHT SPEED IN MPH (VMAX) =');
READLN(VMAX);
WRITE('PROPELLER DIAMETER IN INCHES      (DP) =');
READLN(DP);
WRITE('PROPELLER SPEED IN RPM         (RPM) =');
READLN(RPM);
WRITE('ALTITUDE IN FEET               (ALT) =');
READLN(ALT);

{THIS IS WHERE THE CALCULATIONS BEGIN}

WS := CLMAX*VS1*VS1/391. ;
VS0:=SQRT(WS*391./CLMAXF);
S:=W/WS ;
  AR:=B*B/S ;
C:=B/AR;
BE:= B*SQRT(E);
EAR:=BE*BE/S ;
CE:=S/BE ;
WBE:=W/BE ;
AD:=0.8*BHP*146625./(VMAX*VMAX*VMAX) ;
CD0 := AD/S ;
AD2:=SQRT(AD);
AD4 := SQRT(AD2);
VMINS := 11.29*SQRT(WBE)/AD4 ;
THPM := 0.03922*AD4*WBE*SQRT(WBE);
RSMIN := 33000.*THPM/W ;
LDMAX := 0.8862*BE/AD2 ;
DMIN := W/LDMAX ;
CLMINS := 3.07*AD2/CE ;
RCSTAR := 33000.*BHP/W ;
DPF := DP/12.0 ;
VTIP := RPM*DPF*0.05236 ;
MP := VTIP/1100. ;
VPROP := 41.9*EXP((1.0/3.0)*LN(BHP/DPF/DPF)) ;
TS := 10.41*EXP((2.0/3.0)*LN(BHP*DPF))  ;
WRITELN;
WRITELN('INPUT QUANTITIES:   ');
WRITELN;
WRITELN('STALL SPEED WITHOUT FLAPS  = ',VS1:6:1,'  MPH');
WRITELN('MAX LIFT COEFFICIENT       = ',CLMAX:6:3);
WRITELN('MAX LIFT COEFF. W/FLAPS    = ',CLMAXF:6:3);
WRITELN('GROSS WEIGHT               = ',W:6:0,'  LBS');
WRITELN('USEFUL LOAD                = ',WU:6:0,'  LBS');
WRITELN('WINGSPAN                   = ',B:6:2);
WRITELN('AIRPLANE EFFICIENCY FACTOR = ',E:6:3);
WRITELN('ENGINE BRAKE HORSEPOWER    = ',BHP:6:0,'  HP');
WRITELN('MAXIMUM LEVEL SPEED        = ',VMAX:6:1,'  MPH');
WRITELN('PROPELLER DIAMETER         = ',DP:6:1,'  INCHES');
WRITELN('PROPELLER RPM              = ',RPM:6:0,'  RPM');
WRITELN('ALTITUDE                   = ',ALT:6:0,'  FT');


WRITELN;
WRITELN('OUTPUT QUANTITIES DETERMINED FROM INPUT:');
WRITELN;
WRITELN('WING LOADING                         = ',WS:6:3,'  LB/FT2');
WRITELN('STALL SPEED WITH FLAPS               = ',VS0:6:1,'  MPH');
WRITELN('WING AREA                            = ',S:6:1,'  FT2');
WRITELN('ASPECT RATIO                         = ',AR:6:2);
WRITELN('CHORD                                = ',C:6:2,'  FT');
WRITELN('EFFECTIVE ASPECT RATIO               = ',EAR:6:2);
WRITELN('EFFECTIVE SPAN                       = ',BE:6:2,'  FT');
WRITELN('EFFECTIVE CHORD                      = ',CE:6:2,'  FT');
WRITELN('EFFECTIVE SPAN  LOADING              = ',WBE:6:2,'  LBS/FT2');
WRITELN('DRAG AREA                            = ',AD:6:2,'  FT2');
WRITELN('ZERO-LIFT DRAG COEFFICIENT           = ',CD0:6:3);
WRITELN('AIRSPEED FOR MINIMUM SINK            = ',VMINS:6:1,'  MPH');
WRITELN('MIN POWER FOR LEVEL FLIGHT           = ',THPM:6:2,'  HP');
WRITELN('MINIMUM DRAG                         = ',DMIN:6:1,'  LB');
WRITELN('MINIMUM SINK RATE                    = ',RSMIN:6:1,'  FPM');
WRITELN('MAXIMUM LIFT-TO-DRAG RATIO           = ',LDMAX:6:2);
WRITELN('LIFT COEFF AT MIN SINK               = ',CLMINS:6:2);
WRITELN('MAX IDEAL CLIMB RATE                 = ',RCSTAR:6:1,'  FPM');
WRITELN('REFERENCE PROP AIRSPEED .74 EFF      = ',VPROP:6:1,'  MPH');
WRITELN('IDEALIZED STATIC THRUST              = ',TS:6:1,'  LBS');
WRITELN('PROPELLER TIP MACH NUMBER            = ',MP:6:4);
{$IPLANELST.PAS}

END.
